------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(359,333);

------------------------------------------------------------
local hero = CppScriptMgr:QueryHero();

hero:SetZoomPercent(100);
hero:SetPos(372, 344);
hero:RunTo(366, 333);
hero:SetDir(2);

CppScriptMgr:WaitMilSec(1000);

local effectObj = CppScriptMgr:AddEffect( "coattryon", 359, 333);

CppScriptMgr:WaitMilSec(2000);
local Emperor = CppScriptMgr:AddSimplePlayer(48816,359,333,"AncientRuler",4003000001,1);
local Emperor2 = CppScriptMgr:AddSimplePlayer(31000,360,346,"DashStatue",4003000002,1);
local Emperor3 = CppScriptMgr:AddSimplePlayer(31010,351,333,"BlazeStatue",4003000003,1);
local Emperor4 = CppScriptMgr:AddSimplePlayer(31020,361,324,"SlideStatue",4003000004,1);
Emperor:SetDir(6);
Emperor:Say("I have not seen anyone here for thousands of years. What do you come for?", 3000);

CppScriptMgr:WaitMilSec(2000);

hero:SetDir(2);
hero:Say("I come to find the 3 relics.", 3000);

CppScriptMgr:WaitMilSec(2000);

Emperor:SetDir(6);
Emperor:Say("The 3 relics are for the most powerful hero in the world. You are brave to try for them. I can give you some guidance.", 3000);

CppScriptMgr:WaitMilSec(2000);
hero:SetDir(2);
hero:SetAction(200);
hero:Say("Thank you so much.", 3000);

CppScriptMgr:WaitMilSec(2000);

Emperor:SetDir(6);
Emperor:Say("Well, you don`t need to since this is a way towards death.", 3000);

CppScriptMgr:WaitMilSec(2000);


-- CppScriptMgr:SetViewPosByCell(376,373);
-- CppScriptMgr:WaitMilSec(1000);
-- local effectObj1 = CppScriptMgr:AddEffect( "jsb_gst01_app", 373, 374);
-- local effectObj2 = CppScriptMgr:AddEffect( "jsb_gst01_app", 376, 380);
-- local effectObj3 = CppScriptMgr:AddEffect( "jsb_gst01_app", 375, 378);
-- local effectObj4 = CppScriptMgr:AddEffect( "jsb_gst01_app", 371, 377);
-- CppScriptMgr:WaitMilSec(1000);
-- local effectObj5 = CppScriptMgr:AddEffect( "zf2-e361", 365, 372);
-- local effectObj6 = CppScriptMgr:AddEffect( "zf2-e361", 367, 378);
-- local effectObj7 = CppScriptMgr:AddEffect( "zf2-e361", 368, 382);
-- local effectObj8 = CppScriptMgr:AddEffect( "zf2-e361", 369, 385);
-- local effectObj9 = CppScriptMgr:AddEffect( "zf2-e361", 385, 384);
-- local effectObj10 = CppScriptMgr:AddEffect( "zf2-e361", 383, 380);
-- local effectObj11 = CppScriptMgr:AddEffect( "zf2-e361", 382, 371);
-- local effectObj12 = CppScriptMgr:AddEffect( "zf2-e361", 380, 364);
-- CppScriptMgr:WaitMilSec(500);
-- local General1 = CppScriptMgr:AddPlayer(315,373,373, "剑灵",4003000005,1) ;
-- local General2 = CppScriptMgr:AddPlayer(315,371,374, "剑灵",4003000006,1) ;
-- local General3 = CppScriptMgr:AddPlayer(315,377,370, "剑灵",4003000007,1) ;
-- local General4 = CppScriptMgr:AddPlayer(315,368,368, "剑灵",4003000008,1) ;
-- CppScriptMgr:WaitMilSec(500);
-- CppScriptMgr:NpcCallOut("    当年的剑下亡魂化作剑灵盘踞在剑气道上，超度它们吧，轩辕剑就在这条路的尽头。", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc210", 150, 430, "AncientRuler", 250, 655)
-- CppScriptMgr:WaitMilSec(5000);

-- CppScriptMgr:SetViewPosByCell(329,332);
-- local effectObj13 = CppScriptMgr:AddEffect( "firemagic", 329, 333);
-- CppScriptMgr:WaitMilSec(2000);

-- local effectObj14 = CppScriptMgr:AddEffect( "fp-lt", 324, 324);
-- local effectObj15 = CppScriptMgr:AddEffect( "fp-lt", 324, 329);
-- local effectObj16 = CppScriptMgr:AddEffect( "fp-lt", 324, 334);
-- local effectObj17 = CppScriptMgr:AddEffect( "fp-lt", 324, 339);
-- local effectObj18 = CppScriptMgr:AddEffect( "fp-lt", 324, 344);
-- CppScriptMgr:WaitMilSec(50);
-- local effectObj19 = CppScriptMgr:AddEffect( "fp-lt", 329, 324);
-- local effectObj20 = CppScriptMgr:AddEffect( "fp-lt", 329, 329);
-- local effectObj21 = CppScriptMgr:AddEffect( "fp-lt", 329, 334);
-- local effectObj22 = CppScriptMgr:AddEffect( "fp-lt", 329, 339);
-- local effectObj23 = CppScriptMgr:AddEffect( "fp-lt", 329, 344);
-- CppScriptMgr:WaitMilSec(50);
-- local effectObj24 = CppScriptMgr:AddEffect( "fp-lt", 333, 324);
-- local effectObj25 = CppScriptMgr:AddEffect( "fp-lt", 333, 329);
-- local effectObj26 = CppScriptMgr:AddEffect( "fp-lt", 333, 334);
-- local effectObj27 = CppScriptMgr:AddEffect( "fp-lt", 333, 339);
-- local effectObj28 = CppScriptMgr:AddEffect( "fp-lt", 333, 344);

-- CppScriptMgr:NpcCallOut("    里是拥有祝融神咒的烈焰道，燃烧着威力极强的三昧真火，Shennong Tripod就藏在这火光尽头。", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc210", 150, 430, "AncientRuler", 250, 655)
-- CppScriptMgr:WaitMilSec(5000);

-- CppScriptMgr:SetViewPosByCell(355,292);
-- CppScriptMgr:WaitMilSec(500);
-- local effectObj29 = CppScriptMgr:AddEffect( "zf2-e253", 355, 303);
-- local effectObj30 = CppScriptMgr:AddEffect( "zf2-e253", 362, 303);
-- local effectObj31 = CppScriptMgr:AddEffect( "zf2-e253", 349, 294);
-- local effectObj32 = CppScriptMgr:AddEffect( "zf2-e253", 358, 295);
-- local effectObj33 = CppScriptMgr:AddEffect( "zf2-e253", 352, 287);
-- CppScriptMgr:WaitMilSec(50);
-- local effectObj34 = CppScriptMgr:AddEffect( "zf2-e253", 350, 280);
-- local effectObj35 = CppScriptMgr:AddEffect( "zf2-e253", 359, 283);
-- local effectObj36 = CppScriptMgr:AddEffect( "zf2-e253", 354, 273);
-- local effectObj37 = CppScriptMgr:AddEffect( "zf2-e253", 347, 267);
-- local effectObj38 = CppScriptMgr:AddEffect( "zf2-e253", 358, 266);
-- CppScriptMgr:WaitMilSec(2000);
-- local effectObj39 = CppScriptMgr:AddEffect( "CSGX_zi"  , 355, 303);
-- local effectObj40 = CppScriptMgr:AddEffect( "CSGX_hong", 362, 303);
-- local effectObj41 = CppScriptMgr:AddEffect( "CSGX_zi"  , 349, 294);
-- local effectObj42 = CppScriptMgr:AddEffect( "CSGX_hong", 358, 295);
-- local effectObj43 = CppScriptMgr:AddEffect( "CSGX_zi"  , 352, 287);
-- CppScriptMgr:WaitMilSec(50);
-- local effectObj44 = CppScriptMgr:AddEffect( "CSGX_hong", 350, 280);
-- local effectObj45 = CppScriptMgr:AddEffect( "CSGX_zi"  , 359, 283);
-- local effectObj46 = CppScriptMgr:AddEffect( "CSGX_hong", 354, 273);
-- local effectObj47 = CppScriptMgr:AddEffect( "CSGX_zi"  , 347, 267);
-- local effectObj48 = CppScriptMgr:AddEffect( "CSGX_hong", 358, 266);
-- CppScriptMgr:WaitMilSec(2000);
-- CppScriptMgr:NpcCallOut("    地陷道使用墨家机关术建成，遍布机关陷阱，稍有不慎恐丧命于此，Pangu Axe便在大道尽头。", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc210", 150, 430, "AncientRuler", 250, 655)

-- CppScriptMgr:WaitMilSec(2000);
-- CppScriptMgr:SetViewPosByCell(356,335);

-- CppScriptMgr:WaitMilSec(500);
-- Emperor:SetDir(6);
-- Emperor:Say("如何，看了此间险境，还有当初的雄心壮志么？", 3000);

-- CppScriptMgr:WaitMilSec(2000);
-- hero:SetDir(2);
-- hero:SetAction(160);
-- hero:Say("勇者必胜，便是刀山火海，我又何惧！", 3000);





